<?php

declare(strict_types=1);

use App\Controller\WebController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\WebMiddleware;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/web', function () {
                Router::get('/getWebsiteCategory', [WebController::class, 'getWebsiteCategory']);
                Router::get('/getWebsiteDistrit', [WebController::class, 'getWebsiteDistrit']);
                Router::get('/getWebsiteAdvertisement', [WebController::class, 'getWebsiteAdvertisement']);
                Router::get('/selectWebsiteDepartment', [WebController::class, 'selectWebsiteDepartment']);
                Router::get('/selectWebsiteArea', [WebController::class, 'selectWebsiteArea']);
                Router::get('/getWebsiteArticlett', [WebController::class, 'getWebsiteArticlett']);
                Router::get('/getWebsiteModelArticles', [WebController::class, 'getWebsiteModelArticles']);
                Router::get('/getWebsiteModelCategory', [WebController::class, 'getWebsiteModelCategory']);
                Router::get('/getWebsiteArticleList', [WebController::class, 'getWebsiteArticleList']);
                Router::get('/selectWebsiteArticleInfo', [WebController::class, 'selectWebsiteArticleInfo']);

                Router::get('/selectWebsiteLinks', [WebController::class, 'selectWebsiteLinks']);
                // 获取网站底部基础信息
                Router::get('/getWebsiteFootInfo', [WebController::class, 'getWebsiteFootInfo']);
                // 获取网站底部导航
                Router::get('/getWebsiteFooterCategory', [WebController::class, 'getWebsiteFooterCategory']);
                // 获取网站底部导航列表
                Router::get('/getWebsiteFooterCategoryList', [WebController::class, 'getWebsiteFooterCategoryList']);
                // 获取网站底部导航内容
                Router::get('/getWebsiteFooterCategoryInfo', [WebController::class, 'getWebsiteFooterCategoryInfo']);
                // 搜索网站二级导航
                Router::get('/selectWebsiteCategory', [WebController::class, 'selectWebsiteCategory']);
                // 搜索网站二级导航-seo列表页
                Router::get('/getWebsiteCategoryHead', [WebController::class, 'getWebsiteCategoryHead']);
                //获取某个栏目
                Router::get('/getOneWebsiteCategory', [WebController::class, 'getOneWebsiteCategory']);
                //获取调查问卷
                Router::get('/getWebsiteSurvey', [WebController::class, 'getWebsiteSurvey']);
                // 添加调查问卷选项
                Router::get('/addWebsiteSurveyOption', [WebController::class, 'addWebsiteSurveyOption']);
                // 调查问卷-投票
                Router::get('/addWebsiteSurveyVote', [WebController::class, 'addWebsiteSurveyVote']);

                // 获取父级/子级栏目----路由
                Router::get('/getWebsiteParentCategory', [WebController::class, 'getWebsiteParentCategory']);
                // 获取栏目下的文章
                Router::get('/getWebsiteCatidArticle', [WebController::class, 'getWebsiteCatidArticle']);
                // 获取底部所有信息
                Router::get('/getWebsiteFootAll', [WebController::class, 'getWebsiteFootAll']);
                // 获取顶部信息
                Router::get('/getWebsiteHead', [WebController::class, 'getWebsiteHead']);
                // 获取网站全部模块新闻
                Router::get('/getWebsiteAllArticle', [WebController::class, 'getWebsiteAllArticle']);
                // 乡村网-获取特殊新闻
                Router::get('/getWebsiteArticles', [WebController::class, 'getWebsiteArticles']);
                // 匹配路由
                Router::get('/getWebsiteRoute', [WebController::class, 'getWebsiteRoute']);
                // 验证路由
                Router::get('/checkWebsiteRoute', [WebController::class, 'checkWebsiteRoute']);

                // 商城
                // 获取商城首页-根据level获取
                Router::get('/getWebsiteshop', [WebController::class, 'getWebsiteshop']);
                // 获取商城首页-根据栏目id获取
                Router::get('/getWebsiteCatidshop', [WebController::class, 'getWebsiteCatidshop']);
                // 获取商城栏目
                Router::get('/getWebsiteshopCat', [WebController::class, 'getWebsiteshopCat']);
                // 获取商城分类列表
                Router::get('/getWebsiteshopList', [WebController::class, 'getWebsiteshopList']);
                // 获取商城分类详情
                Router::get('/getWebsiteshopInfo', [WebController::class, 'getWebsiteshopInfo']);
                // 书刊信息
                // 获取书刊信息
                Router::get('/getWebsiteBook', [WebController::class, 'getWebsiteBook']);
                // 获取书刊信息列表
                Router::get('/getWebsiteBookList', [WebController::class, 'getWebsiteBookList']);
                // 获取书刊信息详情
                Router::get('/getWebsiteBookInfo', [WebController::class, 'getWebsiteBookInfo']);
                // 尝试
                Router::get('/test', [WebController::class, 'test']);
               


                // 求职招聘
                // 获取求职招聘下拉选框
                Router::get('/getWebsiteJobSelect', [WebController::class, 'getWebsiteJobSelect']);
                // 获取求职招聘
                Router::get('/getWebsiteJob', [WebController::class, 'getWebsiteJob']);
                // 获取求职招聘列表
                Router::get('/getWebsiteJobList', [WebController::class, 'getWebsiteJobList']);
                // 获取求职招聘详情
                Router::get('/getWebsiteJobInfo', [WebController::class, 'getWebsiteJobInfo']);
                // 申请职位
                // Router::get('/getWebsiteJobApply', [WebController::class, 'getWebsiteJobApply']);
                // c端-招聘 职位分类
                Router::get('/getPositionList', [WebController::class, 'getPositionList']);
                // c端-招聘 推荐等级职位
                Router::get('/getWebsiteLevelJob', [WebController::class, 'getWebsiteLevelJob']);
                //贴身宝贝
                Router::get('/getWebsiteTsbb', [WebController::class, 'getWebsiteTsbb']);
                //列表页
                Router::get('/getWebsiteTsbbList', [WebController::class, 'getWebsiteTsbbList']);
                //详情页
                Router::get('/getWebsiteTsbbDetail', [WebController::class, 'getWebsiteTsbbDetail']);
                
            },
    ['middleware' => [WebMiddleware::class]]
);
// --招工招聘交互-----------fr----------------------start
Router::addGroup(
    '/web', function () {
        // 申请职位
        Router::post('/getWebsiteJobApply', [WebController::class, 'getWebsiteJobApply']);
        // 沟通简历
        Router::post('/getWebsiteJobResume', [WebController::class, 'getWebsiteJobResume']);
         // 企业会员-我的职位
         Router::post('/getWebsiteJobRecruiting', [WebController::class, 'getWebsiteJobRecruiting']);
    },
    ['middleware' => [FooMiddleware::class]]
);
// --招工招聘交互-----------fr----------------------end
Router::addGroup(
    '/web', function () {
        // 获取底部所有信息
        Router::get('/getAdminWebsiteFootAll', [WebController::class, 'getAdminWebsiteFootAll']);
    }

);